Skip to main content

Get a system software

GET/v2/system-softwares/{systemSoftwareId}
API version
v2
Request method
GET
Operation ID
app-get-systemsoftware

Request​

  • systemSoftwareIdstring (uuid)required

Responses​

Format
application/json
Description

The SystemSoftware.

  • idstringrequired
  • metaobject
    • *string
  • namestringrequired
  • tagsarray of stringrequired
    • Array[
      • *string
      ]
Content-Type: application/json

{
"id": "string",
"meta": {
"string": "string"
},
"name": "string",
"tags": [
"string"
]
}
{
"description": "A SystemSoftware is a software that can be installed for an AppInstallation but mostly is not itself externally reachable and/or deliverable.",
"properties": {
"id": {
"type": "string"
},
"meta": {
"additionalProperties": {
"type": "string"
},
"type": "object"
},
"name": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"id",
"name",
"tags"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/system-softwares/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.app.getSystemsoftware({
"systemSoftwareId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\App\GetSystemsoftware\GetSystemsoftwareRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetSystemsoftwareRequest(
systemSoftwareId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->app()->getSystemsoftware($request);

var_dump($response->getBody();

On this page